Bug 1258233 - [SR-IOV] - VFs that are a slaves of a bond, shouldn't considered as free
[SR-IOV] - VFs that are a slaves of a bond, shouldn't considered as free
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.6.0
x86_64 Linux
high Severity high
: ovirt-3.6.1
: 3.6.1
Assigned To: Alona Kaplan
Michael Burman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-30 08:45 EDT by Michael Burman
Modified: 2016-04-19 21:39 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-19 21:39:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: Triaged+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 48701 ovirt-engine-3.6 MERGED engine: VFs that are a slaves of a bond, shouldn't considered as free Never
oVirt gerrit 48710 ovirt-engine-3.6.1.x ABANDONED engine: VFs that are a slaves of a bond, shouldn't considered as free Never
oVirt gerrit 48742 ovirt-engine-3.6.1 MERGED engine: VFs that are a slaves of a bond, shouldn't considered as free Never

  None (edit)
Description Michael Burman 2015-08-30 08:45:55 EDT
Description of problem:
[SR-IOV] - VFs that are a slaves of a bond, shouldn't considered as free.

If Vfs are slaves of a bond(with network attached to him or without), they should be considered as non free Vfs and editing the Number of VFs configuration/settings should be blocked by engine. 

Version-Release number of selected component (if applicable):
3.6.0-0.12.master.el6

How reproducible:
100

Steps to Reproduce:
1. Enable 2 VFs on a PF
2. Create bond from the 2 VFs (with network attached or without)
3. Run VM using one of the VFs
4. Edit the Number of VFs via Setup Networks to 3

Actual results:
steps 3 and 4 succeeded. 

Expected results:
Steps 3 and 4 should be failed and blocked by engine.
Comment 2 Michael Burman 2015-11-29 04:16:26 EST
Verified on - 3.6.1-0.2.el6 and vdsm-4.17.11-0.el7ev.noarch

Note You need to log in before you can comment on or make changes to this bug.